package com.ruoyi.demo.entity.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.BusinessOpportunitiesClue;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class BusinessOpportunitiesClueBo implements Serializable {
    private String clueId;
    private String attentionId;
    private String contact;
    private String telephone;
    private Integer followUpCount;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    public BusinessOpportunitiesClueBo() {
    }

    public BusinessOpportunitiesClueBo(BusinessOpportunitiesClue clue) {
        this.clueId = clue.getClueId();
        this.attentionId = clue.getAttentionId();
        this.contact = clue.getContact();
        this.telephone = clue.getTelephone();
        this.followUpCount = clue.getFollowUpCount();
        this.createTime = clue.getCreateTime();
    }
}
